package fantasy;
/*
Copyright (C) 2012-2015 Johan Ceuppens

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;
import javax.swing.ImageIcon;
import java.awt.Toolkit;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

import java.util.*;

/*
 * Demon Maze of the Dwarf Mountains (Builder)
 */

class DemonMazeBuilder extends MazeBuilder 
{
private Random rng;
private DemonMaze currentMaze;
private MazeDatabase db; 

public DemonMazeBuilder()
{
	super();
	rng = new Random();
	currentMaze = null; 
}

public Maze GetMaze() {
	Maze maze0 = currentMaze;
	return maze0;
}

public void BuildMaze(int startx, int starty, int startw, int starth, int size) {
	currentMaze = new DemonMaze();
	while (startx < startw) {
		//currentMaze.addNonCollideWall96x96(startx,starty,startw % (96*size), starth % (96*size));
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		currentMaze.addNonCollideWall96x96(startx,starty,startw,starth,null);
		
		startx += rng.nextInt(96*size);
	}	
}
public void BuildDoor() {}
public void BuildRoom() {}

public boolean builtp() {
	if (currentMaze == null)
	       return false;
	else 
		return true;
}

public void AddToBuildings(Buildings buildings, Image image0, Image image00)
{
	currentMaze.addToBuildings(buildings, image0, image00);
}

};

