package fantasy;
/*
Copyright (C) 2012 Johan Ceuppens

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;
import javax.swing.ImageIcon;
import java.awt.Toolkit;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

import java.util.*;

/*
 * Map class, can be used for overland and town etc. maps
 */

class Map12002 extends MultiMap
{

private LinkedList list = new LinkedList();

public Map12002(int startx, int starty, int startw, int starth, Image defaultimg, int dxx, int dyy)
{
	super (startx,starty,startw,starth,defaultimg, dxx, dyy);

	list.add(new ImageIcon(prefix+"map-12000-4.png").getImage());
	//list.add(new ImageIcon(prefix+"map-12000-4.png").getImage());
	//list.add(new ImageIcon(prefix+"map-12000-5.png").getImage());

	int i = 0, j = 0, k = 0;
	while (true) {
		if (i >= startw) break;
		j = 0;
		while (true) {
			if (j >= starth) break;

			if (k >= list.size())
				mapparts.add(new MapPart(0+i,0+j,1600,1200,(Image)list.get(0)));
			else
				mapparts.add(new MapPart(0+i,0+j,1600,1200,(Image)list.get(k)));
			k++;
			j+=1200;
		}
		i+=1600;	
	
	}
}

public MapParts getParts()
{
	return null;//FIXME kludge mapparts;
}

};
